cgGLIsProgramLoaded(3)

NAME
cgGLIsProgramLoaded - determine if a program is loaded

SYNOPSIS
  #include <Cg/cgGL.h>
  CGbool cgGLIsProgramLoaded( CGprogram program );

PARAMETERS

program
    The program which will be checked.

RETURN VALUES
Returns CG_TRUE if program has been loaded.

Returns CG_FALSE otherwise.

DESCRIPTION
cgGLIsProgramLoaded returns CG_TRUE if program has been loaded with cgGLLoadProgram and CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGLIsProgramLoaded was introduced in Cg 1.2.

SEE ALSO
cgGLLoadProgram cgGLBindProgram